summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakov Smolic <jakov.smolic@sartura.hr>2021-02-25 18:57:25 +0100
committerSam James <sam@gentoo.org>2021-02-26 14:26:07 +0000
commit2a3e0847845f86d33af6b1597dbd5688a09485fd (patch)
treeb1cf45a9bca798222ced60d727bff4ad9846870e
parentnet-misc/pyhoca-cli: Mark ALLARCHES (diff)
downloadgentoo-2a3e0847845f86d33af6b1597dbd5688a09485fd.tar.gz
gentoo-2a3e0847845f86d33af6b1597dbd5688a09485fd.tar.bz2
gentoo-2a3e0847845f86d33af6b1597dbd5688a09485fd.zip
net-misc/pyhoca-gui: Port to python 3.{8,9}
Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr> Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--net-misc/pyhoca-gui/pyhoca-gui-0.6.1.1.ebuild19
1 files changed, 12 insertions, 7 deletions
diff --git a/net-misc/pyhoca-gui/pyhoca-gui-0.6.1.1.ebuild b/net-misc/pyhoca-gui/pyhoca-gui-0.6.1.1.ebuild
index 3d05ef2fc36..671e506e1ff 100644
--- a/net-misc/pyhoca-gui/pyhoca-gui-0.6.1.1.ebuild
+++ b/net-misc/pyhoca-gui/pyhoca-gui-0.6.1.1.ebuild
@@ -1,27 +1,32 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_7 )
+PYTHON_COMPAT=( python3_{7..9} )
inherit distutils-r1
DESCRIPTION="X2Go graphical client applet"
HOMEPAGE="http://www.x2go.org"
SRC_URI="http://code.x2go.org/releases/source/${PN}/${P}.tar.gz"
-LICENSE="AGPL-3"
+LICENSE="AGPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
-RDEPEND="dev-python/pycups[${PYTHON_USEDEP}]
+RDEPEND="
+ dev-python/pycups[${PYTHON_USEDEP}]
dev-python/setproctitle[${PYTHON_USEDEP}]
dev-python/wxpython[${PYTHON_USEDEP}]
>=net-misc/python-x2go-0.6.1.1[${PYTHON_USEDEP}]
x11-libs/libnotify"
-DEPEND="${DEPEND}
- dev-python/python-distutils-extra[${PYTHON_USEDEP}]"
+BDEPEND="dev-python/python-distutils-extra[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # we don't need setuptools at runtime
+ sed -i -e '/install_requires/d' setup.py || die
+ distutils-r1_python_prepare_all
+}
python_install() {
distutils-r1_python_install